Package org.apache.felix.http.base.internal.handler

## Class ServletHandler

- java.lang.Object
- - org.apache.felix.http.base.internal.handler.ServletHandler

All Implemented Interfaces:
  `Comparable<ServletHandler>`

Direct Known Subclasses:
  `HttpServiceServletHandler`, `WhiteboardServletHandler`

    public abstract class ServletHandler
    extends Object
    implements Comparable<ServletHandler>

The servlet handler handles the initialization and destruction of a servlet.

### Field Summary

Fields
`protected int` `useCount`

### Constructor Summary

Constructors
`ServletHandler​(long contextServiceId, ExtServletContext context, ServletInfo servletInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(ServletHandler other)`
`boolean` `destroy()`
`boolean` `dispose()`
`boolean` `equals​(Object obj)`
`ExtServletContext` `getContext()`
`long` `getContextServiceId()`
`MultipartConfig` `getMultipartConfig()`
`org.osgi.framework.Bundle` `getMultipartSecurityContext()`
`String` `getName()`
`javax.servlet.Servlet` `getServlet()`
`ServletInfo` `getServletInfo()`
`void` `handle​(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)`
`int` `hashCode()`
`int` `init()` Initialize the object
`protected void` `setServlet​(javax.servlet.Servlet s)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### useCount

    protected volatile int useCount

### Constructor Detail

#### ServletHandler

    public ServletHandler​(long contextServiceId,
                          ExtServletContext context,
                          ServletInfo servletInfo)

### Method Detail

#### compareTo

    public int compareTo​(ServletHandler other)

Specified by:
  `compareTo` in interface `Comparable<ServletHandler>`

#### getContextServiceId

    public long getContextServiceId()

#### getContext

    public ExtServletContext getContext()

#### getServlet

    public javax.servlet.Servlet getServlet()

#### setServlet

    protected void setServlet​(javax.servlet.Servlet s)

#### handle

    public void handle​(javax.servlet.ServletRequest req,
                       javax.servlet.ServletResponse res)
                throws javax.servlet.ServletException,
                       IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`

#### getServletInfo

    public ServletInfo getServletInfo()

#### getName

    public String getName()

#### init

    public int init()

Initialize the object

Returns:
  {code -1} on success, a failure reason according to `DTOConstants` otherwise.

#### destroy

    public boolean destroy()

#### dispose

    public boolean dispose()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### getMultipartConfig

    public MultipartConfig getMultipartConfig()

#### getMultipartSecurityContext

    public org.osgi.framework.Bundle getMultipartSecurityContext()